package org.linkedopenactors.rdfpub.domain.commonsrdf.vocab;

import org.apache.commons.rdf.api.IRI;

public interface AS extends Vocabulary {

	public static final String NS = "https://www.w3.org/ns/activitystreams#";
	  public final static String Object = NS + "Object";
	  public final static String Link = NS + "Link";
	  public final static String Activity = NS + "Activity";
	  public final static String IntransitiveActivity = NS + "IntransitiveActivity";
	  public final static String Collection = NS + "Collection";
	  public final static String OrderedCollection = NS + "OrderedCollection";
	  public final static String CollectionPage = NS + "CollectionPage";
	  public final static String OrderedCollectionPage = NS + "OrderedCollectionPage";
	  public final static String Accept = NS + "Accept";
	  public final static String TentativeAccept = NS + "TentativeAccept";
	  public final static String Add = NS + "Add";
	  public final static String Arrive = NS + "Arrive";
	  public final static String Create = NS + "Create";
	  public final static String Delete = NS + "Delete";
	  public final static String Follow = NS + "Follow";
	  public final static String Ignore = NS + "Ignore";
	  public final static String Join = NS + "Join";
	  public final static String Leave = NS + "Leave";
	  public final static String Like = NS + "Like";
	  public final static String Offer = NS + "Offer";
	  public final static String Invite = NS + "Invite";
	  public final static String Reject = NS + "Reject";
	  public final static String TentativeReject = NS + "TentativeReject";
	  public final static String Remove = NS + "Remove";
	  public final static String Undo = NS + "Undo";
	  public final static String Update = NS + "Update";
	  public final static String View = NS + "View";
	  public final static String Listen = NS + "Listen";
	  public final static String Read = NS + "Read";
	  public final static String Move = NS + "Move";
	  public final static String Travel = NS + "Travel";
	  public final static String Announce = NS + "Announce";
	  public final static String Block = NS + "Block";
	  public final static String Flag = NS + "Flag";
	  public final static String Dislike = NS + "Dislike";
	  public final static String Question = NS + "Question";
	  public final static String Application = NS + "Application";
	  public final static String Group = NS + "Group";
	  public final static String Organization = NS + "Organization";
	  public final static String Person = NS + "Person";
	  public final static String Service = NS + "Service";
	  public final static String Relationship = NS + "Relationship";
	  public final static String Article = NS + "Article";
	  public final static String Document = NS + "Document";
	  public final static String Audio = NS + "Audio";
	  public final static String Image = NS + "Image";
	  public final static String Video = NS + "Video";
	  public final static String Note = NS + "Note";
	  public final static String Page = NS + "Page";
	  public final static String Event = NS + "Event";
	  public final static String endpoints = NS + "endpoints";
	  public final static String Place = NS + "Place";
	  public final static String Mention = NS + "Mention";
	  public final static String Profile = NS + "Profile";
	  public final static String Tombstone = NS + "Tombstone";
	  public final static String actor = NS + "actor";
	  public final static String attachment = NS + "attachment";
	  public final static String attributedTo = NS + "attributedTo";
	  public final static String audience = NS + "audience";
	  public final static String bcc = NS + "bcc";
	  public final static String bto = NS + "bto";
	  public final static String cc = NS + "cc";
	  public final static String context = NS + "context";
	  public final static String current = NS + "current";
	  public final static String first = NS + "first";
	  public final static String generator = NS + "generator";
	  public final static String icon = NS + "icon";
	  public final static String image = NS + "image";
	  public final static String inReplyTo = NS + "inReplyTo";
	  public final static String instrument = NS + "instrument";
	  public final static String last = NS + "last";
	  public final static String location = NS + "location";
	  public final static String items = NS + "items";
	  public final static String oneOf = NS + "oneOf";
	  public final static String anyOf = NS + "anyOf";
	  public final static String closed = NS + "closed";
	  public final static String origin = NS + "origin";
	  public final static String next = NS + "next";
	  public final static String object = NS + "object";
	  public final static String prev = NS + "prev";
	  public final static String preview = NS + "preview";
	  public final static String result = NS + "result";
	  public final static String replies = NS + "replies";
	  public final static String tag = NS + "tag";
	  public final static String target = NS + "target";
	  public final static String to = NS + "to";
	  public final static String url = NS + "url";
	  public final static String accuracy = NS + "accuracy";
	  public final static String altitude = NS + "altitude";
	  public final static String content = NS + "content";
	  public final static String name = NS + "name";
	  public final static String duration = NS + "duration";
	  public final static String height = NS + "height";
	  public final static String href = NS + "href";
	  public final static String hreflang = NS + "hreflang";
	  public final static String partOf = NS + "partOf";
	  public final static String latitude = NS + "latitude";
	  public final static String longitude = NS + "longitude";
	  public final static String mediaType = NS + "mediaType";
	  public final static String endTime = NS + "endTime";
	  public final static String published = NS + "published";
	  public final static String Public = NS + "Public";
	  public final static String preferredUsername = NS + "preferredUsername";
	  public final static String startTime = NS + "startTime";
	  public final static String radius = NS + "radius";
	  public final static String rel = NS + "rel";
	  public final static String startIndex = NS + "startIndex";
	  public final static String summary = NS + "summary";
	  public final static String totalItems = NS + "totalItems";
	  public final static String units = NS + "units";
	  public final static String updated = NS + "updated";
	  public final static String width = NS + "width";
	  public final static String subject = NS + "subject";
	  public final static String relationship = NS + "relationship";
	  public final static String describes = NS + "describes";
	  public final static String formerType = NS + "formerType";
	  public final static String deleted = NS + "deleted";
	  public final static String outbox = NS + "outbox";
	  public final static String following = NS + "following";
	  public final static String followers = NS + "followers";
	  public final static String liked = NS + "liked";	  
	  public final static String oauthAuthorizationEndpoint = NS + "oauthAuthorizationEndpoint";
	  public final static String oauthTokenEndpoint = NS + "oauthTokenEndpoint";
	  
	  public IRI Object();	  
	  public IRI Link();
	  public IRI Activity();
	  public IRI IntransitiveActivity();
	  public IRI Collection();
	  public IRI OrderedCollection();
	  public IRI CollectionPage();
	  public IRI OrderedCollectionPage();
	  public IRI Accept();
	  public IRI TentativeAccept();
	  public IRI Add();
	  public IRI Arrive();
	  public IRI Create();
	  public IRI Delete();
	  public IRI Follow();
	  public IRI Ignore();
	  public IRI Join();
	  public IRI Leave();
	  public IRI Like();
	  public IRI Offer();
	  public IRI Invite();
	  public IRI Reject();
	  public IRI TentativeReject();
	  public IRI Remove();
	  public IRI Undo();
	  public IRI Update();
	  public IRI View();
	  public IRI Listen();
	  public IRI Read();
	  public IRI Move();
	  public IRI Travel();
	  public IRI Announce();
	  public IRI Block();
	  public IRI Flag();
	  public IRI Dislike();
	  public IRI Question();
	  public IRI Application();
	  public IRI Group();
	  public IRI Organization();
	  public IRI Person();
	  public IRI Service();
	  public IRI Relationship();
	  public IRI Article();
	  public IRI Document();
	  public IRI Audio();
	  public IRI Image();
	  public IRI Video();
	  public IRI Note();
	  public IRI Page();
	  public IRI Event();
	  public IRI Place();
	  public IRI Mention();
	  public IRI Profile();
	  public IRI Tombstone();
	  public IRI actor();
	  public IRI attachment();
	  public IRI attributedTo();
	  public IRI audience();
	  public IRI bcc();
	  public IRI bto();
	  public IRI cc();
	  public IRI context();
	  public IRI current();
	  public IRI first();
	  public IRI generator();
	  public IRI icon();
	  public IRI image();
	  public IRI inReplyTo();
	  public IRI instrument();
	  public IRI last();
	  public IRI location();
	  public IRI items();
	  public IRI oneOf();
	  public IRI anyOf();
	  public IRI closed();
	  public IRI origin();
	  public IRI next();
	  public IRI object();
	  public IRI prev();
	  public IRI preview();
	  public IRI result();
	  public IRI replies();
	  public IRI tag();
	  public IRI target();
	  public IRI to();
	  public IRI url();
	  public IRI accuracy();
	  public IRI altitude();
	  public IRI content();
	  public IRI name();
	  public IRI duration();
	  public IRI height();
	  public IRI href();
	  public IRI hreflang();
	  public IRI partOf();
	  public IRI latitude();
	  public IRI longitude();
	  public IRI mediaType();
	  public IRI endTime();
	  public IRI published();
	  public IRI startTime();
	  public IRI radius();
	  public IRI rel();
	  public IRI startIndex();
	  public IRI summary();
	  public IRI totalItems();
	  public IRI units();
	  public IRI updated();
	  public IRI width();
	  public IRI subject();
	  public IRI relationship();
	  public IRI describes();
	  public IRI formerType();
	  public IRI deleted();
	  public IRI outbox();
	  public IRI following();
	  public IRI followers();
	  public IRI liked();	  
	  public IRI oauthAuthorizationEndpoint();
	  public IRI oauthTokenEndpoint();
	  public IRI preferredUsername();
	  public IRI endpoints();
	  public IRI Public();
}

